function cargarMapa() {
    let mapa = L.map('divMapa', { center: [4.570868, -74.29733], zoom: 5 });
    let mosaico = L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
        maxZoom: 20,
        id: 'mapbox.streets'
    });
    mosaico.addTo(mapa);
    
    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
    }).addTo(mapa);
    
    let LeafIcon = L.Icon.extend({
        options: {
            shadowUrl: 'leaf-shadow.png',
            iconSize:     [38, 95],
            shadowSize:   [50, 64],
            iconAnchor:   [22, 94],
            shadowAnchor: [4, 62],
            popupAnchor:  [-3, -76]
        }
    });
    
    let greenIcon = new LeafIcon({iconUrl: 'leaf-green.png'}),
    redIcon = new LeafIcon({iconUrl: 'leaf-red.png'}),
    orangeIcon = new LeafIcon({iconUrl: 'leaf-orange.png'});
    
    L.icon = function (options) {
        return new L.Icon(options);
    };

    L.marker([3.307792353818841, -76.51290893554688], {icon: greenIcon}).addTo(mapa).bindPopup("I am a green leaf.");//cali 
    L.marker([4.455950571647079, -74.080810546875], {icon: redIcon}).addTo(mapa).bindPopup("I am a red leaf.");//bogota 
    L.marker([10.394455017793495,-75.55675506591797], {icon: orangeIcon}).addTo(mapa).bindPopup("I am an orange leaf.");//cartagena



   let poligonocali = L.polygon([
        [3.307792353818841, -76.51290893554688],
        [3.3204740511204967, -76.51840209960938],
        [3.330756388869776, -76.51805877685547],
        [3.3393249216403293, -76.51737213134764],
        [3.362630951956999, -76.51016235351562],
        [3.3393249216403293,-76.51737213134764],
        [3.3626309519569997, -76.51016235351562],
        [3.369485560923647, -76.48818969726562],
        [3.3753119405877534, -76.48921966552734],
        [3.372570119212625, -76.50260925292969],
        [3.3852509781574955, -76.51222229003906],
        [3.409926767804606, -76.49505615234375],
        [3.4047860303606825, -76.49299621582031],
        [3.4102694826574798, -76.48853302001953],
        [3.4130111970818255, -76.47960662841797],
        [3.4034151624060267, -76.47651672363281],
        [3.3993025468414486, -76.4645004272461],
        [3.4061568963639406, -76.45042419433594],
        [3.4287759029877747, -76.44561767578125],
        [3.4507089742799546, -76.44630432128906],
        [3.4657876673138652,-76.45557403564453],
        [3.468186528164911, -76.46862030029297],
        [3.4980004323211227, -76.47445678710938],
        [3.5298694189563014, -76.49986267089844],
        [3.514791754508482, -76.52252197265625],
        [3.4997138463498842, -76.53350830078125],
        [3.4729842316021324, -76.53968811035156],
        [3.4722988468887537, -76.55342102050781],
        [3.4627034087109094, -76.57402038574219],
        [3.4387143884393305, -76.57264709472656],
        [3.4387143884393305, -76.56784057617188],
        [3.4291186111038265, -76.56234741210938],
        [3.4147247646241174, -76.57333374023438],
        [3.3982743902097217, -76.58294677734375],
        [3.3921054274238363, -76.56784057617188],
        [3.3790819323419834, -76.56784057617188],
        [3.355776294806514, -76.56028747558594],
        [3.3406958799501414, -76.55410766601562],
        [3.3276716988059905, -76.54037475585936],
        [3.3201313046832013, -76.53144836425781],
        [3.310534356192326, -76.53213500976562],
        [3.307792353818841, -76.51290893554688]],{

            color: 'red',
            fillColor: 'blue',
            fillOpacity: 0.4,
        
        }).addTo(mapa);    

    let poligonoBogota = L.polygon([
        [4.455950571647079, -74.080810546875],
        [4.5079760456473705, -74.07257080078125],
        [4.5148212264183485,  -74.05059814453125],
        [4.554521998417129,  -74.02450561523438],
        [4.565473550710278,  -74.01214599609375],
        [4.625704089861983,  -73.99429321289062],
        [4.64897361172607,  -74.02862548828125],
        [4.666767433658992, -74.02313232421875],
        [4.676348535659988,   -74.00802612304688],
        [4.735200991337153,  -74.00665283203124],
        [4.7694152375428285,   -74.014892578125],
        [4.8200491901285805, -74.00527954101562],
        [4.836470204221701,  -74.07669067382811],
        [4.798153887556932,   -74.091796875],
        [4.787205972686519, -74.11376953125],
        [4.7488868935934345,  -74.12338256835936],
        [4.7050910542706355, -74.17007446289061],
        [4.668136170529941,  -74.168701171875],
        [4.627072906469984, -74.21676635742186],
        [4.606540379886432, -74.2071533203125],
        [4.598327203100916,  -74.18380737304688],
        [4.550415123295052, -74.1741943359375],
        [4.512767678962969,  -74.16801452636719],
        [4.519612814541979, -74.13162231445311],
        [4.4997617436205255, -74.12269592285156],
        [4.455950571647079,  -74.080810546875]],{
            color: 'red',
            fillColor: 'violet',
            fillOpacity: 0.4,
        
        }).addTo(mapa);  

    let poligonoCartagena = L.polygon([
    [10.394455017793495,-75.55675506591797],
    [10.39006503693702,-75.54576873779297],
    [10.392597725728743,-75.54508209228516],
    [10.399182620483865,-75.55435180664062],
    [10.414209167764772, -75.5478286743164],
    [10.420287116045849,-75.54988861083984],
    [10.415728665947126, -75.54422378540039],
    [10.405260861606397,-75.53632736206055],
    [10.404078990659219,-75.5251693725586],
    [10.39698767099275,-75.52482604980469 ],
    [10.392935416016405,-75.53512573242188],
    [10.382129145817554,-75.52757263183594],
    [10.386012692174914, -75.52190780639648],
    [10.381284890227159, -75.51092147827148],
    [10.369465072747161,-75.50800323486328],
    [10.354942971915584,-75.50971984863281],
    [10.351565642735839,-75.51057815551758],
    [10.3552807028331 ,-75.50233840942383],
    [10.351565642735839,-75.49615859985352],
    [10.349032621986417,-75.49152374267578 ],
    [10.350214700881342,-75.48397064208984 ],
    [10.360853210444702,-75.47693252563477],
    [10.372166784669817,-75.46611785888672],
    [10.382804548648885, -75.46062469482422],
    [10.391922344058367, -75.45427322387695],
    [10.402221755841511,-75.45839309692383 ],
    [10.409819464749239,-75.44878005981445 ],
    [10.425267568613268,-75.46019554138184],
    [10.412436410524652, -75.47332763671875],
    [10.410494807696908,-75.47710418701172],
    [10.41547541676445, -75.48276901245117],
    [10.417754652000848,-75.48894882202148],
    [10.41741698857316,-75.51435470581055],
    [10.429910291644385,-75.51263809204102],
    [10.441559000877305, -75.51624298095703],
    [10.441559000877305,-75.52705764770508],
    [10.433793243184432,-75.54285049438477],
    [10.425351982377201,-75.55418014526366],
    [10.414715667981882,-75.55194854736328],
    [10.403741312423568,-75.55709838867188],
    [10.397831884161493,-75.56516647338867],
    [10.392091189612827,-75.56018829345703],
    [10.394455017793495,-75.55675506591797]],{
        color: 'red',
            fillColor: 'brown',
            fillOpacity: 0.4,
        
    }).addTo(mapa); 


}